sysdecode_syscallname(3)

NAME
sysdecode_syscallname - lookup name of system calls

LIBRARY
libsysdecode

SYNOPSIS
#include <sysdecode.h>
const char *
sysdecode_syscallname(enum sysdecode_abi abi, unsigned int code);

DESCRIPTION
This function returns a pointer to the name of a system call identified by code for the process ABI abi. If code specifies an unknown system call or abi is an unsupported ABI, sysdecode_syscallname returns NULL.

For the list of supported ABIs, see sysdecode(3).

RETURN VALUES
The sysdecode_syscallname function returns a pointer to a string on success or NULL if either code or ABI is invalid .

SEE ALSO
sysdecode(3), sysdecode_abi_to_freebsd_errno(3)